Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.multimedia
Enum MediaClipData.TempFilePermissionEnum

    java.lang.Object
      java.lang.Enum<MediaClipData.TempFilePermissionEnum>
          org.pdfclown.documents.multimedia.MediaClipData.TempFilePermissionEnum

All Implemented Interfaces:
  Serializable, Comparable<MediaClipData.TempFilePermissionEnum>

Enclosing class:
  MediaClipData

    public static enum MediaClipData.TempFilePermissionEnum

extends Enum<MediaClipData.TempFilePermissionEnum>

Circumstance under which it is acceptable to write a temporary file in order to play a media clip.

Enum Constant Summary
`Accessibility` Allowed only if the document permissions allow content extraction, including for accessibility purposes.
`Always` Always allowed.
`ContentExtraction` Allowed only if the document permissions allow content extraction.
`Never` Never allowed.

Method Summary
`PdfString` | `getCode()`
`static MediaClipData.TempFilePermissionEnum` | `valueOf(PdfString code)`
`static MediaClipData.TempFilePermissionEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MediaClipData.TempFilePermissionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Never

    public static final MediaClipData.TempFilePermissionEnum Never

  Never allowed.

### ContentExtraction

    public static final MediaClipData.TempFilePermissionEnum ContentExtraction

  Allowed only if the document permissions allow content extraction.

### Accessibility

    public static final MediaClipData.TempFilePermissionEnum Accessibility

  Allowed only if the document permissions allow content extraction, including for accessibility purposes.

### Always

    public static final MediaClipData.TempFilePermissionEnum Always

  Always allowed.

Method Detail

### values

    public static MediaClipData.TempFilePermissionEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MediaClipData.TempFilePermissionEnum c : MediaClipData.TempFilePermissionEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MediaClipData.TempFilePermissionEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static MediaClipData.TempFilePermissionEnum valueOf(PdfString code)

### getCode

    public PdfString getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.